Bug 127619 - Every once in a while logins don't work
Every once in a while logins don't work
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-10 21:52 EDT by Glen
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-19 06:42:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Glen 2004-07-10 21:52:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040216 Debian/1.6.x.1-10

Description of problem:
Every once in a while I'll notice this error in the logs of some of my
scripts:

"This account is currently not available."

The scripts run mpi jobs so they're logging in automatically via ssh.
 However I'm thinking it's not an ssh problem but probably something
to do with nis, which is what we use for authentication.  A guy I work
with told me he's gotten that error message just trying to log in
normally.  The strange thing is the error just goes away if you wait a
short while.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Ssh into another machine
2.
3.
    

Actual Results:  Some times it will give you that error.

Expected Results:  I expect to be able to log in normally every time.

Additional info:
Comment 1 Barry K. Nathan 2004-07-14 03:54:29 EDT
I've seen this too, when trying to log in via gdm. Whenever this
happens, the afflicted machine also happens to be unreachable
(unpingable) on the network, and the machine can't reach the NIS
server. The problem seems to disappear with FC2 kernels, as far as I
can tell, although for all I know this could be dependent on the type
of network card you have. (Speaking of which, what kinds of NICs are
your machines using?)
Comment 2 Glen 2004-07-14 13:44:08 EDT
On a machine I know for sure this has happened it has a built in
gigabit ethernet card that uses the e1000 module.
Comment 3 Glen 2004-07-28 13:21:06 EDT
I just upgraded a number of my machines to Fedora Core 2 and I still
get the same thing happening.
Comment 4 Tomas Mraz 2005-02-08 11:24:26 EST
This doesn't seem to me to be openssh problem. This is some kind of general
networking problem so I reassign it to kernel for further inspection.
Comment 5 Dave Jones 2005-02-08 13:57:03 EST
are you running the latest errata kernel ?
Comment 6 Glen 2005-02-09 12:11:20 EST
I've got the latest Fedora Core 1 kernel, yeah.  And when I was playing with
Fedora Core 2 to see if that would help any I'm sure I updated that as well.

Anyway, I turned off the login restrictions on my machines and now this doesn't
seem to happen anymore.

And by that I mean I removed this line from /etc/passwd:
+:*:0:0:::/sbin/nologin
Comment 7 Dave Jones 2005-04-16 02:00:12 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.
Comment 8 Glen 2005-11-26 02:05:00 EST
I've narrowed this down to nscd actually.  And the bug is still present in FC4.
Comment 9 Jason Vas Dias 2005-11-27 15:40:57 EST
(In reply to comment #8)
> I've narrowed this down to nscd actually.  And the bug is still present in FC4.

How have you narrowed the problem down to nscd ?
nscd is part of glibc, and if you can provide evidence of an nscd
problem, please do so and move this bug to glibc.

Comment #1 states:
> Whenever this happens, the afflicted machine also happens to be 
> unreachable (unpingable) on the network

Is this still the case?
This suggests a general loss of network connectivity that is unlikely to be
caused by nscd / user mode daemons.
Comment 10 Glen 2005-11-27 20:12:38 EST
(In reply to comment #9)
> How have you narrowed the problem down to nscd ?
> nscd is part of glibc, and if you can provide evidence of an nscd
> problem, please do so and move this bug to glibc.

If I restart nscd then right away the errors go away and I'm able to log in. 
Also, I never ever see this problem if nscd isn't running.  And like I
mentioned, if I don't restrict logins I don't have problems.  All this seems to
point to nscd.  I could be wrong though.

> Comment #1 states:
> Is this still the case?
> This suggests a general loss of network connectivity that is unlikely to be
> caused by nscd / user mode daemons.

Me, I wasn't the guy with connectivity problems.  I can reach the machines just
fine.  They just don't let me log in is all.
Comment 11 Christian Iseli 2007-01-22 06:36:54 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Note You need to log in before you can comment on or make changes to this bug.